Subject: bug#57102: 29.0.50; Peculiar file-name-split edge case

From: Gregory Heytings <[email-masked]>
Date: Mon, 26 Sep 2022 12:27:59 +0000

>> One small step in the right direction would be to make sure that:
>>
>>    (equal (file-name-split "/foo")
>>           (file-name-split "//foo"))
>
> There's the Posix peculiarity that /abc and //abc are potentially 
> distinct, but ///abc should be equivalent to /abc if I understood it 
> right.
>

Indeed, POSIX says that "A pathname that begins with two successive 
<slash> characters may be interpreted in an implementation-defined manner, 
although more than two leading <slash> characters shall be treated as a 
single <slash> character."